MODSTAT(8) | System Manager's Manual | MODSTAT(8)

# NAME

modstat — display status of loaded kernel modules

# SYNOPSIS

modstat | [-Aaen] [name]

# DESCRIPTION

The modstat utility displays the status of any kernel modules present in the kernel.
The options are as follows:

-A
  Tells you whether or not modules can be autoloaded at the moment. This option does take into consideration the sysctl `kern.module.autoload`.
-a
  Tells you whether or not modules can be autoloaded at the moment. This option does not take into consideration the sysctl `kern.module.autoload`.
-e
  Tells you whether or not you may load a module at the moment.
-k
  Display the module's kernel address (disabled by default).
-n name
  Display the status of only the module with this name. Please note that -n is optional.

In addition to listing the currently loaded modules' name, the information reported by modstat includes:

`CLASS`
  Module class, such as "vfs", "driver", "exec", "misc" or "secmodel".
`SOURCE`
  Where the module was loaded from. “`builtin`” indicates that the module was built into the running kernel. “`boot`” indicates that the module was loaded during system bootstrap. “`filesys`” indicates that the module was loaded from the file system.
`SIZE`
  Size of the module in bytes.
`FLAG`
  The module flags:
  `a`
    Module is auto-loaded.
  `f`
    Required the modload(8) flag -f (force) to be loaded.
`REFS`
  Number of references held on the module. Disabled builtin modules will show a count of -1 here.
`ADDRESS`
  The kernel address at which the module is loaded. Builtin modules will show 0 here. This field is only displayed if the -k option is specified.
`REQUIRES`
  Additional modules that must be present.

# EXIT STATUS

The modstat utility exits with a status of 0 on success and with a nonzero status if an error occurs.

# SEE ALSO

module(7), sysctl(7), modload(8), modunload(8)

# HISTORY

A modstat utility appeared in NetBSD 0.9. The modstat command was designed to be similar in functionality to the corresponding command in SunOS 4.1.3. modstat was switched to the module framework for NetBSD 5.0.

# AUTHORS

The original NetBSD implementation was written by Terrence R. Lambert <terry@cs.weber.edu>. The switch to the module framework was by Andrew Doran <ad@NetBSD.org>.

September 12, 2016 | NetBSD 8.1